/*----------------------------------------------------------------------------
/ USBfoCXfBXNv^`							2005 (C)LogicPack
/	05.07.22					000		M.Yamada
/		first release
/---------------------------------------------------------------------------*/
#ifndef __DESCRIPTOR_H_
#define __DESCRIPTOR_H_

/* WfoCXNGXg */
#define GET_STATUS			0
#define CLEAR_FEATURE		1
#define SET_FEATURE			3
#define SET_ADDRESS			5
#define GET_DESCRIPTOR		6
#define SET_DESCRIPTOR		7
#define GET_CONFIGURATION	8
#define SET_CONFIGURATION	9
#define GET_INTERFACE		10
#define SET_INTERFACE		11
#define SYNCH_FRAME			12

/* fBXNv^ */
#define USB_DEVICE			1		/* WfoCX */
#define USB_CONFIGURATION	2		/* W\ */
#define USB_XSTRING			3		/* XgO */
#define USB_INTERFACE		4		/* WC^[tF[X */
#define USB_ENDPOINT		5		/* WGh|Cg */
#define USB_HID				0x21
#define USB_HIDREPORT		0x22
#define USB_HIDPHYSICAL		0x23

/* HIDNGXg */
#define GET_REPORT			0x01
#define GET_IDLE			0x02
#define GET_PROTOCOL		0x03
#define SET_REPORT			0x09
#define SET_IDLE			0x0A
#define SET_PROTOCOL		0x0B

#define REQUEST_TYPE		0x60
#define RTYPE_STD			0x00
#define RTYPE_VENDOR		0x20
#define RTYPE_CLASS			0x40

#endif
